package com.viettel.campaign.repository;

import com.viettel.campaign.model.CustomerListMapping;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface CustomerListMappingRepository extends JpaRepository<CustomerListMapping, Long> {

    // ----------- customer ------------ //

    @Modifying
    @Query("delete from CustomerListMapping c where c.customerId=:p_customer_id and c.customerListId=:p_customer_list_id")
    int deleteMappingByCustomerId(@Param("p_customer_id") Long p_customer_id, @Param("p_customer_list_id") Long p_customer_list_id);

    @Modifying
    @Query("delete from CustomerListMapping c where c.customerId in (:p_id) and c.customerListId =:p_customer_list_id")
    int deleteMappingByCustomerIds(@Param("p_id") List<Long> p_id, @Param("p_customer_list_id") Long p_customer_list_id);

    // ----------- customer list --------------- //

    @Modifying
    @Query("delete from CustomerListMapping c where c.customerListId=:p_customerListId")
    int deleteMappingByCustomerListId(@Param("p_customerListId") Long p_customerListId);

    @Modifying
    @Query("delete from CustomerListMapping c where c.customerListId in (:p_ids)")
    int deleteMappingByCustomerListIds(@Param("p_ids") List<Long> p_ids);
}
