package com.viettel.campaign.repository;

import com.viettel.campaign.model.CustomerList;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface CustomerListRepository extends JpaRepository<CustomerList, Long> {

    CustomerList findCustomerListByCustomerListId(long customerListId);

    CustomerList findByCustomerListCode(String customerListCode);

    @Modifying
    @Query("update CustomerList c set c.status = 0 where c.customerListId=:p_customerListId")
    int deleteCustomerList(@Param("p_customerListId") Long p_customerListId);

    @Modifying
    @Query("update CustomerList c set c.status = 0 where c.customerListId in (:p_ids)")
    int deleteCustomerListIds(@Param("p_ids") List<Long> p_ids);
}
